Package org.jfree.layouting.input.style.selectors

## Class AbstractSelector

- java.lang.Object
- - org.jfree.layouting.input.style.selectors.AbstractSelector

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSSelector`, `org.w3c.css.sac.Selector`
  Direct Known Subclasses:
    `CSSAnyNodeSelector`, `CSSCharacterDataSelector`, `CSSConditionalSelector`, `CSSDescendantSelector`, `CSSElementSelector`, `CSSNegativeSelector`, `CSSRootNodeSelector`, `CSSSilblingSelector`

      public abstract class AbstractSelector
      extends java.lang.Object
      implements CSSSelector

  Creation-Date: 05.12.2005, 19:50:49
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.css.sac.Selector

      `SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractSelector​()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract SelectorWeight` | `createWeight​()` |
    `SelectorWeight` | `getWeight​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.css.sac.Selector

      `getSelectorType`

- - ### Constructor Detail

    - #### AbstractSelector

          public AbstractSelector​()

  - ### Method Detail

    - #### getWeight

          public SelectorWeight getWeight​()

      Specified by:
        `getWeight` in interface `CSSSelector`

    - #### createWeight

          protected abstract SelectorWeight createWeight​()